Index: client_app/src/components/account_edit/company_edit.js
===================================================================
--- client_app/src/components/account_edit/company_edit.js	(revision 580ba1ab8df82124b40e77fad2161d9ab6bbc7a4)
+++ client_app/src/components/account_edit/company_edit.js	(revision be373a82fae27e3be2b6d80810f4a8bc9296a82e)
@@ -11,12 +11,14 @@
         super(props);
         this.state = {
-            email: "",
-            password: "",
-            name:"",
-            members: "",
-            city: "",
-            street: "",
+            email: props.oldUser.email,
+            name: props.oldUser.name,
+            country: props.oldUser.address.country,
+            city: props.oldUser.address.city,
+            street: props.oldUser.address.street,
             error: null,
-            success: null
+            success: null,
+            id: props.oldUser.id,
+            oldEmail: props.oldUser.email,
+            type: props.oldUser.type
         }
         this.attemptCompanyEdit = this.attemptCompanyEdit.bind(this);
@@ -32,23 +34,17 @@
     attemptCompanyEdit = () => {
         AccountEdit.companyEdit(
+            this.state.id,
+            this.state.oldEmail,
             this.state.email,
-            this.state.password,
             this.state.name,
-            this.state.country
-            ,this.state.city,
+            this.state.country,
+            this.state.city,
             this.state.street
         ).then(res =>{
-            if(res.data.success!=null){
-                this.setState({
-                    success: res.data.success,
-                    error: null
-                })
-                this.props.message(this.state.success);
-            }else{
-                this.setState({
-                    error: res.data.error,
-                    success: null
-                })
-            }
+            this.setState({
+                success: true,
+                error: null
+            })
+            this.props.updateUser(res.data);
         }).catch(err => {
             this.setState({
@@ -66,5 +62,11 @@
         if(this.state.success!=null){
             return(
-                <Redirect to={"/login"}/>
+                <Redirect to={"/profile"}/>
+            );
+        }
+
+        if(this.state.type!=="COMPANY"){
+            return(
+                <Redirect to={"/profile"}/>
             );
         }
@@ -73,17 +75,15 @@
             <Container>
                 <h1 style={{color: "red"}}>{this.state.error}</h1>
-                <Form onSubmit={this.attemptCompanyRegister}>
+                <Form onSubmit={this.attemptCompanyEdit}>
                     <Form.Input id="email" name="email" type='email' required fluid label='E-mail'
-                                placeholder='Enter e-mail.' onChange={this.handleCheck}/>
-                    <Form.Input id="password" name="password" type='password' required fluid label='Password'
-                                placeholder='Enter password.' onChange={this.handleCheck}/>
+                                placeholder='Enter e-mail.' value={this.state.email} onChange={this.handleCheck}/>
                     <Form.Input id="name" name="name" type='text' required fluid label='Name'
-                                placeholder='Enter company name.' onChange={this.handleCheck}/>
+                                placeholder='Enter company name.' value={this.state.name} onChange={this.handleCheck}/>
                     <Form.Input id="country" name="country" type='text' required fluid label='Country'
-                                placeholder='Enter your country.' onChange={this.handleCheck}/>
-                    <Form.Input id="city" name="city" type='text' required fluid label='City'
+                                placeholder='Enter your country.' value={this.state.country} onChange={this.handleCheck}/>
+                    <Form.Input id="city" name="city" type='text' value={this.state.city} required fluid label='City'
                                 placeholder='Enter your city.' onChange={this.handleCheck}/>
                     <Form.Input id="street" name="street" type='text' required fluid label='Street'
-                                placeholder='Enter address street.' onChange={this.handleCheck}/>
+                                placeholder='Enter address street.' value={this.state.street} onChange={this.handleCheck}/>
                     <Form.Field control={Button}>Register</Form.Field>
                 </Form>
Index: client_app/src/components/account_edit/team_edit.js
===================================================================
--- client_app/src/components/account_edit/team_edit.js	(revision be373a82fae27e3be2b6d80810f4a8bc9296a82e)
+++ client_app/src/components/account_edit/team_edit.js	(revision be373a82fae27e3be2b6d80810f4a8bc9296a82e)
@@ -0,0 +1,86 @@
+import React from 'react';
+import 'semantic-ui-react';
+import {Button, Container, Form} from "semantic-ui-react";
+import { Redirect } from 'react-router-dom';
+import {Component} from "react/cjs/react.production.min";
+import AccountEdit from "../../repository/edit_account_repo";
+
+class EditTeam extends Component  {
+    constructor(props){
+        super(props);
+        this.state = {
+            email: props.oldUser.email,
+            name: props.oldUser.name,
+            members: props.oldUser.members,
+            error: null,
+            success: null,
+            id: props.oldUser.id,
+            oldEmail: props.oldUser.email,
+            type: props.oldUser.type
+        }
+        this.attemptTeamEdit = this.attemptTeamEdit.bind(this);
+    }
+
+    handleCheck = (e, {value}) => {
+        this.setState({
+            ...this.state,
+            [e.target.name]: value
+        })
+    }
+
+    attemptTeamEdit = () => {
+        AccountEdit.teamEdit(
+            this.state.id,
+            this.state.oldEmail,
+            this.state.email,
+            this.state.name,
+            this.state.members
+        ).then(res =>{
+            this.setState({
+                success: true,
+                error: null
+            })
+            this.props.updateUser(res.data);
+        }).catch(err => {
+            this.setState({
+                error: "Team already exists!",
+                success: null
+            })
+        })
+    }
+
+    componentDidMount(){
+        this.props.message(null);
+    }
+
+    render() {
+        if(this.state.success!=null){
+            return(
+                <Redirect to={"/profile"}/>
+            );
+        }
+
+        if(this.state.type!=="TEAM"){
+            return(
+                <Redirect to={"/profile"}/>
+            );
+        }
+
+        return (
+            <Container>
+                <h1 style={{color: "red"}}>{this.state.error}</h1>
+                <Form onSubmit={this.attemptTeamEdit}>
+                    <Form.Input id="email" name="email" type='email' required fluid label='E-mail'
+                                placeholder='Enter e-mail.' value={this.state.email} onChange={this.handleCheck}/>
+                    <Form.Input id="name" name="name" type='text' required fluid label='Name'
+                                placeholder='Enter company name.' value={this.state.name} onChange={this.handleCheck}/>
+                    <Form.Input id="members" name="members" type="number" required fluid label="Number of members"
+                                placeholder="Enter member count." value={this.state.members} onChange={this.handleCheck}/>
+                    <Form.Field control={Button}>Register</Form.Field>
+                </Form>
+            </Container>
+        );
+    }
+}
+
+export default EditTeam;
Index: client_app/src/components/account_edit/user_edit.js
===================================================================
--- client_app/src/components/account_edit/user_edit.js	(revision 580ba1ab8df82124b40e77fad2161d9ab6bbc7a4)
+++ client_app/src/components/account_edit/user_edit.js	(revision be373a82fae27e3be2b6d80810f4a8bc9296a82e)
@@ -79,9 +79,10 @@
                 error: null
             })
+
             this.props.updateUser(res.data);
         }).catch(err => {
             this.setState({
                 success: null,
-                error: "Error editing user.",
+                error: "User already exists.",
             })
         });
